API reference · Interview

Delete PII data for single onboarding session.

DELETE/omni/interview

Base URL: https://demo-api.incodesmile.com — Incode demo environment

Delete all PII data for onboarding sessions by given array of interview ids. Note: Works with Admin Token.Please, bear in mind that usage of this API endpoint for deletion of Customer Data will mean that Incode will no longer have access to it nor will be able to review or analyze any issue related to deleted Customer Data. After deletion, as Incode will not be able to retrieve the deleted Customer Data, any potential claims related to such data will be waived by Customer. Finally, for clarity purposes, Incode may continue to process information derived from Customer Data that has been deidentified, anonymized, and/or aggregated such that the data is no longer considered Personal Data under applicable Data Protection Laws and in a manner that does not identify individuals or Customer to improve its services and defend its legitimate interests.

Path & query parameters

Name In Type Required Description
interviewId query string yes Specify which interview.
keepCustomer query boolean True or false. Indicates whether to keep idenity of the customer or not. Default is false(which means session and customer identity both will be deleted).
sendNotification query boolean Flag to send a notification about a change interview status
api-version header string yes

Responses

200

OK

Response body (application/json):

Field Type Required Description
success boolean Flag indicating request passed successfully.
sessionStatus string Session status Enum: Alive, Closed, Deleted
Was this page helpful?